//
//
//    guitune - program for tuning instruments (actually an oscilloscope)
//    Copyright (C) 1999  Florian Berger
//    Email: florian.berger@jk.uni-linz.ac.at
//
//    This program is free software; you can redistribute it and/or modify
//    it under the terms of the GNU General Public License Version 2 as
//    published by the Free Software Foundation;
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program; if not, write to the Free Software
//    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
//

#include <qapplication.h>
#include "guitune.h"

#include <qmainwindow.h>
#include <qmenubar.h>
#include <qpopupmenu.h>
#include <qkeycode.h>


class MainWindow : public QMainWindow
{
  Q_OBJECT
  public:
    MainWindow( QWidget *parent, char *name, int argc, char **argv );
    ~MainWindow();
  protected:
    void resizeEvent(QResizeEvent *);
    //   void paintEvent(QPaintEvent *);
  private:
    MainWidget *mw;
    QPopupMenu *filemenu;
    QPopupMenu *optmenu;
    QPopupMenu *tuningmenu;
    QPopupMenu *scalemenu;
    int idm_tuning_norm;
    int idm_tuning_wien;
    int idm_tuning_phys;
    int idm_tuning_equi;
    int idm_tuning_nat;
    int idm_scale_US;
    int idm_scale_USa;
    int idm_scale_GE;
    int idm_scale_GEa;
    
  private slots:
    void m_tuning_norm();
    void m_tuning_wien();
    void m_tuning_phys();
    void m_tuning_equi();
    void m_tuning_nat();
    void m_scale_US();
    void m_scale_USa();
    void m_scale_GE();
    void m_scale_GE_a();

};
